import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: SnConfigTypes.SearchSnConfigParam) {
    return get<G.PageResult<SnConfigTypes.SnConfigDetail>>('/sys_sn_config/paging', data)
  },
  modify(data: SnConfigTypes.ModifySnConfigParam) {
    return post('/sys_sn_config/modify', data)
  },
  add(data: SnConfigTypes.AddSnConfigParam) {
    return post('/sys_sn_config/add', data)
  },
  reset(sncode: string) {
    return get('/sys_sn_config/reset', {sncode})
  },
  next(sncode: string, pici?: string) {
    return get<string>('/sys_sn_config/next', {sncode, pici})
  },
  del(...id: string[]) {
    return post('/sys_sn_config/del', id)
  },
}
